Bug 247047 - net/cloudflared: fix build on aarch64
Summary: net/cloudflared: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: arm64 Any
: --- Affects Only Me
Assignee: Vinícius Zavam
URL:
Keywords: patch
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-06-07 14:31 UTC by Mikael Urankar
Modified: 2020-08-02 11:17 UTC (History)
0 users

See Also:
egypcio: maintainer-feedback+


Attachments
patch (8.17 KB, patch)
2020-06-07 14:31 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-06-07 14:31:23 UTC
Created attachment 215319 [details]
patch
Comment 1 Vinícius Zavam freebsd_committer 2020-06-11 16:00:22 UTC
hi Mikael, how are things? thanks for sharing this patch here. appreciated!

I have just a little concern here: wouldn't be recommended to just use newer versions of golang/net and golang/sys for that? don't they solve our problem?

also, this particular port is still marked with limited permissions, regarding license. I did wrote to upstream already, asking for an OK to allow us to regerate te pkg and stuff - still waiting.
Comment 2 Mikael Urankar freebsd_committer 2020-06-11 17:39:48 UTC
(In reply to Vinícius Zavam from comment #1)
Hi!
cloudflared ships an old version of golang.org/x/{sys, net}, it'll be hard to update it (cloudflared should either update its vendor tree or stop shipping it)
Comment 3 Vinícius Zavam freebsd_committer 2020-07-04 11:15:40 UTC
(In reply to Mikael Urankar from comment #2)


that's a good point indeed; so we can update that dependency instead of patching more stuff. right? - which should be doe upstream. do you have any PR on their repo already?
Comment 4 Mikael Urankar freebsd_committer 2020-07-04 15:58:34 UTC
https://github.com/cloudflare/cloudflared/issues/217
Comment 5 Mikael Urankar freebsd_committer 2020-07-06 18:11:30 UTC
fixed in:
https://github.com/cloudflare/cloudflared/releases/tag/2020.7.1
Comment 6 Vinícius Zavam freebsd_committer 2020-08-02 10:48:44 UTC
awesome stuff! thanks; I am about to patch it an land direct the '2020.7.4' in ports :)

write you back with the commit log hook
Comment 7 commit-hook freebsd_committer 2020-08-02 11:16:30 UTC
A commit references this bug:

Author: egypcio
Date: Sun Aug  2 11:15:47 UTC 2020
New revision: 543945
URL: https://svnweb.freebsd.org/changeset/ports/543945

Log:
  net/cloudflared: fix build on aarch64, and update to 2020.7.4

    fixed PR 247047;
      patch must land in upstream's source (refer to its GRANT OF RIGHTS)

    while here, update 2020.7.0 to 2020.7.4;
      raw.githubusercontent.com/cloudflare/cloudflared/2020.7.4/RELEASE_NOTES

  PR:		247047
  Reported by:	mikael@
  Obtained from:	https://github.com/cloudflare/cloudflared/commit/a99780e

Changes:
  head/net/cloudflared/Makefile
  head/net/cloudflared/distinfo
Comment 8 Vinícius Zavam freebsd_committer 2020-08-02 11:17:17 UTC
committed! thank you again :)